-- Created from Template Blank Module using VHDL_Entity Editor by Stan Bak

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.numeric_std.all;

entity coordinator is
	port (
	clock : in std_logic;
	proceed : out std_logic;
	ready_0 : in std_logic;
	ready_1 : in std_logic;
	ready_10 : in std_logic;
	ready_11 : in std_logic;
	ready_12 : in std_logic;
	ready_13 : in std_logic;
	ready_2 : in std_logic;
	ready_3 : in std_logic;
	ready_4 : in std_logic;
	ready_5 : in std_logic;
	ready_6 : in std_logic;
	ready_7 : in std_logic;
	ready_8 : in std_logic;
	ready_9 : in std_logic
	);
end coordinator;

architecture Behavioral of coordinator is
	signal reset_proceed : std_logic := '0';
begin
process(clock) begin
	if rising_edge(clock) then
		if reset_proceed = '0' and ready_0 = '1' and ready_1 = '1' and ready_10 = '1' and ready_11 = '1' and ready_12 = '1' and ready_13 = '1' and ready_2 = '1' and ready_3 = '1' and ready_4 = '1' and ready_5 = '1' and ready_6 = '1' and ready_7 = '1' and ready_8 = '1' and ready_9 = '1' then
			proceed <= '1';
			reset_proceed <= '1';
		else
			reset_proceed <= '0';
			proceed <= '0';
		end if;
	end if;
end process;
end Behavioral;

